Summary:	Fast Lexical Analyzer Generator
Name:		flex-reentrant
Version:	2.5.33
Release:	%mkrel 1
License:	BSD
Group:		Development/Other
URL:		http://flex.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/flex/flex-%{version}.tar.bz2
Patch0:		flex-2.5.33-fPIC.patch
Patch1:		flex-2.5.33-yylineno.patch
Patch2:		flex-2.5.33-doc-fix.diff
Patch3:		flex-2.5.33-no_ranlib.diff
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	libtool
BuildRequires:	bison
BuildRequires:	help2man
BuildRequires:	indent
BuildRequires:	m4
Conflicts:	flex
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
FLEX is a tool for generating scanners: programs that recognize lexical
patterns in text.

%prep

%setup -q -n flex-%{version}
%patch0
%patch1
%patch2
%patch3

%build
rm -rf autom4te.cache configure
libtoolize --force --copy; aclocal-1.7 -I m4; automake-1.7 --add-missing --copy --no-force; autoheader; autoconf
#sh ./autogen.sh

%configure2_5x \

%make

%check
make check

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

cat > lex-wrapper.sh << EOF
#!/bin/sh

exec %{_bindir}/flex -l "\$@"
EOF

install -m0755 lex-wrapper.sh %{buildroot}/%{_bindir}/lex

ln -s flex %{buildroot}/%{_bindir}/flex++

ln -s flex.1.bz2 %{buildroot}/%{_mandir}/man1/lex.1.bz2

%find_lang flex

%post
%_install_info flex.info

%preun
%_remove_install_info flex.info

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f flex.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS ONEWS THANKS TODO
%{_bindir}/flex
%{_bindir}/flex++
%{_bindir}/lex
%{_includedir}/FlexLexer.h
%{_libdir}/libfl.a
%{_infodir}/flex*
%{_mandir}/man1/flex.1*
%{_mandir}/man1/lex.1*

%changelog
* Wed Jun 28 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.33-1mdv2007.0
- initial Mandriva package
